Update an Admin Role
The route is /rulesets/{ruleset}/admins/{user}. We resolve the
PolicyRulesetAdmin record by composite key (ruleset_id + directory_user_id)
rather than relying on Laravel’s implicit binding which would try to
resolve {user} as a DirectoryUser instance.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Policy Ruleset ID
Directory User ID of the admin
Body
UpdatePolicyRulesetAdminData
The administrative role for managing this ruleset. Rule and conditions are not in effect until a user with activate or admin role activates the rule.
admin- Can view, create, activate, deprecate, and delete rules and conditions in the rulesetaudit- Can view rules and conditions (read-only)create- Can view rules and conditions and create new rules and conditions in a draft state.activate- Can view rules and conditions and activate draft rules
admin, audit, create, activate Response
PolicyRulesetAdminDetailedResponseData
"posaa_01hq8xyzabc123def456ghi789"
staged, active, expiring, expired, deactivated admin, audit, create, activate Count of related resources
Included related resources
API hyperlinks related to the Policy Ruleset Admin record